Bug 1869320 - [vsphere]Machines phase should become 'Failed' when its instance is deleted frome vsphere client
Summary: [vsphere]Machines phase should become 'Failed' when its instance is deleted f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.5.z
Assignee: Alexander Demicev
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On: 1851977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-17 13:45 UTC by Alexander Demicev
Modified: 2020-12-15 20:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1851977
Environment:
Last Closed: 2020-12-15 20:28:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 764 0 None closed Bug 1869320: [release-4.5] [vSphere] Reduce sync period to 10 minutes 2021-01-25 20:35:51 UTC
Red Hat Product Errata RHSA-2020:5359 0 None None None 2020-12-15 20:29:12 UTC

Comment 1 Joel Speed 2020-08-18 14:02:37 UTC
This is currently blocked on the dependent PR bug being verified, this means this probably won't be able to be merged until next sprint

Comment 2 Joel Speed 2020-10-01 16:35:14 UTC
@Alex can you decide during the next sprint if we want to continue with this or not?

Comment 3 Michael McCune 2020-12-04 21:25:02 UTC
the PR associated with this has all the necessary labels and is currently waiting on CI to pass

Comment 5 Milind Yadav 2020-12-07 04:26:01 UTC
Validated on : 
[miyadav@miyadav ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-12-05-205859   True        False         29m     Cluster version is 4.5.0-0.nightly-2020-12-05-205859


Steps :
1.delete worker machine from vsphere client 
Actual and Expected : deleted successfully 

2.check machine status 
Actual and Expected: Failed status 
[miyadav@miyadav ~]$ oc get machines
NAME                              PHASE     TYPE   REGION   ZONE   AGE
miyadav320vs-4fvbx-master-0       Running                          54m
miyadav320vs-4fvbx-master-1       Running                          54m
miyadav320vs-4fvbx-master-2       Running                          54m
miyadav320vs-4fvbx-worker-2g5n8   Running                          48m
miyadav320vs-4fvbx-worker-fvs2c   Running                          16m
miyadav320vs-4fvbx-worker-vqdvj   Failed                           48m

Additional info :
Machine-controller logs :
.
.
I1207 04:15:26.156320       1 reconciler.go:329] miyadav320vs-4fvbx-worker-vqdvj: reconciling network: IP addresses: [{InternalIP 172.31.249.200} {InternalIP 172.31.248.21} {InternalIP fe80::13a6:8ebb:c2dd:6eb9} {InternalDNS miyadav320vs-4fvbx-worker-vqdvj}]
I1207 04:15:26.156349       1 reconciler.go:229] miyadav320vs-4fvbx-worker-vqdvj: reconciling powerstate annotation
I1207 04:15:26.159500       1 reconciler.go:653] miyadav320vs-4fvbx-worker-vqdvj: Updating provider status
I1207 04:15:26.164728       1 machine_scope.go:101] miyadav320vs-4fvbx-worker-vqdvj: patching machine
I1207 04:19:21.270932       1 controller.go:169] miyadav320vs-4fvbx-worker-vqdvj: reconciling Machine
I1207 04:19:21.270959       1 actuator.go:80] miyadav320vs-4fvbx-worker-vqdvj: actuator checking if machine exists
I1207 04:19:22.067010       1 reconciler.go:155] miyadav320vs-4fvbx-worker-vqdvj: does not exist
I1207 04:19:22.067034       1 controller.go:424] miyadav320vs-4fvbx-worker-vqdvj: going into phase "Failed"
I1207 04:19:22.094313       1 controller.go:169] miyadav320vs-4fvbx-worker-vqdvj: reconciling Machine
W1207 04:19:22.095066       1 controller.go:266] miyadav320vs-4fvbx-worker-vqdvj: machine has gone "Failed" phase. It won't reconcile
.
.


Moved to VERIFIED

Comment 8 errata-xmlrpc 2020-12-15 20:28:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.23 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5359


Note You need to log in before you can comment on or make changes to this bug.